@use "../theme";
@use "../mixins";

/* MARGIN HELPERS:
    - These margin classes are responsive
    - "mb" stands for margin-bottom
    - "mb-(>size<)" stands for the size (sm/md/lg) it has
*/

$sizes-collection: (
    'xs',
    'sm',
    'md',
    'lg',
    'xl',
    'xxl'
);

@each $size in $sizes-collection {
    .mt-#{$size} {
        @include mixins.margin-size-responsive($size, 'top');
    }

    .mb-#{$size} {
        @include mixins.margin-size-responsive($size, 'bottom');
    }
}

@each $value in theme.$absolute-sizes {
    $i: index(theme.$absolute-sizes, $value);

    .mb-#{$i} {
        margin-bottom: $value
    }

    .mt-#{$i} {
        margin-top: $value
    }
}

.mt-sm {
    @include mixins.margin-top-sm-responsive;
}

.mt-md {
    @include mixins.margin-top-md-responsive;
}

.mt-lg {
    @include mixins.margin-top-lg-responsive;
}


.mb-9000 {
    margin-bottom: 20rem;
}

/* MARGIN Y AXIS SPACERS
    - "my" stands for: margin on the Y axis
    - gives an element a certain spacing on TOP and BOTTOM (y-axis)
*/

.my-sm {
    @include mixins.margin-y-sm-responsive;
}

.my-md {
    @include mixins.margin-y-md-responsive;
}

.my-lg {
    @include mixins.margin-y-lg-responsive;
}
